@ECHO OFF
echo BATCH-Datei zur Steuerung von SUCHEN/ERSETZEN mittels ASCII-PRO
echo                                K. Hell (c) 1995
echo        SYNTAX: SUCHLIST.BAT SUCH.LST SUCH.TXT [177 J/N J/N BEDINGUNG]
echo    Obligatorische Paramter zum automatisierten SUCHEN/ERSETZEN mit LISTE:
echo SUCH.LST     : Dateiname der SUCHLISTE (+/- LW:\PATH)
echo SUCH.TXT     : Die Ursprungsdatei, die verndert werden soll (+/- LW:PATH)
echo    Fakultative Parameter:
echo CODE         : ASCII-CODE der MARKE in SUCH.LST (1-255) ("0"=kein Code).
echo J od. N      : "Ja" oder "Nein" zum UNTERSCHEIDEN GROSS/Klein-Schreibweise.
echo J od. N      : "Ja" oder "Nein" zum Einschalten Option "SPACE simulieren".
echo BEDINGUNG    : Eine Zeichenkette, die in der Zeile vorhanden sein muss,
echo                    damit die SUCHEN/ERSETZEN-Operation ausgefhrt wird,
echo                    wobei NUR Grossbuchstaben erlaubt sind.
echo    Beispiel: SUCHLIST A:\SUCH.LST A:\SUCH.TXT 177 J J
echo    ACHTUNG:  ASCII-PRO muss als "ASCIIPRO.EXE" vorhanden sein, ev. RENAME
if %1.==. goto FEHLER
if %2.==. goto FEHLER
if not exist %1 goto FEHLER
if not exist %2 goto FEHLER
REM pause
ASCIIPRO %1 %2 RESULTAT.ASC %3 %4 %5 %6
if not exist RESULTAT.ASC goto FEHLT
echo    RESULTAT in Datei " RESULTAT.ASC "
goto WEITER
:FEHLER
echo    SYNTAX-FEHLER: Programm-/Ausgangsdateien NICHT gefunden (PATH?!)
:FEHLT
echo                   Datei mit RESULTAT nicht erstellt !
:WEITER
echo    Besten Dank fr die Benutzung von ASCII-PRO"       K. Hell (c) 1995
echo.
