@echo off
rem    K. Hell (c) Beispieldatei fr "ASCII-PRO" MAKRO-Version 6.2:
echo     Dieses Hilfsprogramm wandelt mittels der MAKRO-Version 6.2
echo   von ASCII-PRO eine Datei im ANSI-Standard in eine neue Datei im
echo   ASCII-Format um, sofern die Ausgangs-Datei im aktiven Verzeichnis
echo   vorhanden ist und als 1. Parameter angegeben wird.
echo   Der 2. Parameter ist fakultativ und gibt den Dateinamen der neuen
echo   Kopie mit dem Resultat der Umwandlung an. Fehlt der 2. Parameter, wird
echo   das Resultat in die Datei "ASC_NEU.TXT" geschrieben. Eine bereits vor-
echo   handene Datei mit dem Namen "ASC_NEU.TXT" wird vom Programm gelscht !
echo    Die MAKRO-Datei "A62MAKRO.EXE" muss im Verzeichnis vorhanden sein!
echo  Die MAKRO-Steuerdatei "ANSI2ASC.MAK" muss im Verzeichnis vorhanden sein!
echo.
echo                    SYNTAX: "ANSI2ASC.BAT DATEI_1 [DATEI_2]"
echo    Datei_1: ANSI-Datei, die in eine ASCII-Datei gewandelt werden soll.
echo    Datei_2: Dateiname fr die neu zu schaffende ASCII-Datei (fakultativ)
if %1.==. goto FEHLER
if not exist %1 goto FEHLER
echo Eine vorbestehende Datei "ASC_NEU.TXT" wird in "ASC_OLD.TXT" kopiert.
echo Eine vorbestehend Datei "ANSI_WIN.TXT" wird ev. in "ANSI_OLD.TXT" kopiert.
pause
if exist ASC_NEU.TXT copy ASC_NEU.TXT ASC_OLD.TXT
if exist ASC_NEU.TXT del ASC_NEU.TXT
if %1.==ANSI_WIN.TXT. if exist %1 goto SKIP
if %1.==ansi_win.txt. if exist %1 goto SKIP
if not exist ansi_old.txt goto nowarning
echo ACHTUNG: "ANSI_OLD.TXT" existiert bereits und wird ev. berschrieben!"
echo *****  Weiter mit jeder Taste ***** ABBRUCH mit ^C  *****
pause > nul
:nowarning
if exist ANSI_WIN.TXT copy ANSI_WIN.TXT ANSI_OLD.TXT
if exist ANSI_WIN.TXT del ANSI_WIN.TXT
if exist %1 copy %1 ANSI_WIN.TXT
:SKIP
if %2.==. goto next
if exist %2 copy %2 ASC_TEMP.OLD
if exist %2 del %2
:next
if not exist ANSI_WIN.TXT goto FEHLER
A62MAKRO @ANSI2ASC.MAK
if %2.==. if exist ASC_NEU.TXT goto EINS
if not %2.==. if exist ASC_NEU.TXT copy ASC_NEU.TXT  %2 > nul
if exist %2 goto ZWEI
goto FEHLER
:EINS
echo               RESULTAT in Datei "ASC_NEU.TXT"
goto WEITER
:ZWEI
echo               RESULTAT in Datei " %2 "
:WEITER
echo               DANKE fr die Benutzung der MAKRO-Version von "ASCII-PRO" !
goto ENDE
:FEHLER
echo.
echo       SYNTAX-FEHLER oder Programm/MAKRO-/Ausgangsdatei nicht gefunden !!!
echo       A62MAKRO.EXE + ANSI2ASC.MAK muss im aktiven Verzeinis vorhanden sein.
:ENDE
echo                                                            K. Hell, 1995
echo.
