@echo off
rem    K. Hell (c) Beispieldatei fr "ASCII-PRO" MAKRO-Version 6.2:
echo    Mittels der MAKRO-Version 6.2 von ASCII-PRO wird eine ANSI-Datei in
echo      eine ASCII-Datei umgewandelt, sofern die Ausgangs-Datei im aktiven
echo      Verzeichnis vorhanden ist und als 1. Parameter angegeben wird.
echo      Der 2. Parameter ist fakultativ und gibt den Dateinamen der neuen
echo      Kopie mit dem Resultat der Umwandlung an. Fehlt der 2. Parameter,
echo      wird das Resultat in die Datei "ASC_NEU.TXT" geschrieben.
echo   Nicht druckbare Zeichen werden entfernt, ebenso mehr als 1 Leerstelle
echo      oder mehr als 3 aufeinanderfolgende gleiche Zeichen. 'EOF'- sowie
echo      'CR'-CODE-Zeichen werden durch 'CR+LF' ersetzt. Alle Umwandlungen kn-
echo      nen durch Modifikation der MAKRO-Steuerdatei (*.MAK) beliebig beein-
echo      flusst werden (z.B. CODE 255 statt durch CODE "0" durch "32" ersetzen).
echo   Ev. mittels "A62MAKRO.EXE" automatisch eine neue MAK-Datei erstellen!
echo.
echo                    SYNTAX: "ANSI_X.BAT DATEI_1 [DATEI_2]"
echo    Datei_1: ANSI-Datei, die in eine ASCII-Datei gewandelt werden soll.
echo    Datei_2: Dateiname fr die neu zu schaffende ASCII-Datei (fakultativ)
if %1.==. goto FEHLER
if not exist %1 goto FEHLER
if not exist A62MAKRO.EXE goto FEHLER
rem echo Eine vorbestehende Datei "ASC_NEU.TXT" wird in "ASC_OLD.TXT" kopiert.
rem echo Eine vorbestehend Datei "ANSI_WIN.TXT" wird ev. in "ANSI_OLD.TXT" kopiert.
pause
if exist ASC_NEU.TXT copy ASC_NEU.TXT ASC_OLD.TXT
if exist ASC_NEU.TXT del ASC_NEU.TXT
if %1.==ANSI_WIN.TXT. if exist %1 goto SKIP
if %1.==ansi_win.txt. if exist %1 goto SKIP
if not exist ansi_old.txt goto nowarning
echo ACHTUNG: "ANSI_OLD.TXT" existiert bereits und wird ev. berschrieben!"
echo *****  Weiter mit jeder Taste ***** ABBRUCH mit ^C  *****
pause > nul
:nowarning
if exist ANSI_WIN.TXT copy ANSI_WIN.TXT ANSI_OLD.TXT
if exist ANSI_WIN.TXT del ANSI_WIN.TXT
if exist %1 copy %1 ANSI_WIN.TXT
:SKIP
if %2.==. goto next
if exist %2 copy %2 ASC_TEMP.OLD
if exist %2 del %2
:next
if not exist ANSI_WIN.TXT goto FEHLER
A62MAKRO @ANSI_X.MAK
if %2.==. if exist ASC_NEU.TXT goto EINS
if not %2.==. if exist ASC_NEU.TXT copy ASC_NEU.TXT  %2 > nul
if exist %2 goto ZWEI
goto FEHLER
:EINS
echo               RESULTAT in Datei "ASC_NEU.TXT"
goto WEITER
:ZWEI
echo               RESULTAT in Datei " %2 "
if exist ASC_NEU.TXT del ASC_NEU.TXT
:WEITER
echo               DANKE fr die Benutzung der MAKRO-Version von "ASCII-PRO" !
goto ENDE
:FEHLER
echo.
echo       SYNTAX-FEHLER oder Programm/MAKRO-/Ausgangsdatei nicht gefunden !
echo     A62MAKRO.EXE + ANSI_X.MAK mssen im aktiven Verzeinis vorhanden sein.
:ENDE
echo                                                            K. Hell, 1995
if exist ASC_NEU.___ del ASC_NEU.___
echo.
